std Namespace Reference

STL namespace. More...

## Functions

template<class T, typename A = std::allocator<T>>
std::ostream & | operator<< (std::ostream &out, const std::vector< T, A > &V)
| Prints a vector on output.
template<class S, class T>
std::ostream & | operator<< (std::ostream &out, const std::pair< S, T > &C)
| Prints a pair.
template<class T, typename A = std::allocator<T>>
std::ostream & | operator<< (std::ostream &out, const std::list< T, A > &L)
| Prints a list.
template<class T, typename A = std::allocator<T>>
std::ostream & | operator<< (std::ostream &out, const std::set< T, A > &S)
| Prints a set.

## Detailed Description

STL namespace.

## Function Documentation

## operator<<() [1/4]

template<class T, typename A = std::allocator<T>>

std::ostream & operator<< | ( | std::ostream & | out,
|  | const std::vector< T, A > & | V )

Prints a vector on output.

Parameters

  o | output stream
  v | vector

Warning
  <<(ostream&,T&) exists !

## operator<<() [2/4]

template<class S, class T>

std::ostream & operator<< | ( | std::ostream & | out,
|  | const std::pair< S, T > & | C )

Prints a pair.

Parameters

  o | output stream
  C | a pair

Warning
  <<(ostream&,T&) exists !

## operator<<() [3/4]

template<class T, typename A = std::allocator<T>>

std::ostream & operator<< | ( | std::ostream & | out,
|  | const std::list< T, A > & | L )

Prints a list.

Parameters

  o | output stream
  C | a pair

Warning
  <<(ostream&,T&) exists !

## operator<<() [4/4]

template<class T, typename A = std::allocator<T>>

std::ostream & operator<< | ( | std::ostream & | out,
|  | const std::set< T, A > & | S )

Prints a set.

Parameters

  o | output stream
  C | a pair

Warning
  <<(ostream&,T&) exists !